Avro C#

Public Member Functions | List of all members
Avro.IO.Parsing.ValidatingGrammarGenerator.LitS Class Reference

A wrapper around Schema that does "==" equality. More...

## Public Member Functions
| LitS (Schema actual)
| Initializes a new instance of the LitS class. More...
override bool | Equals (object o)
| Two LitS are equal if and only if their underlying schema is the same (not merely equal). More...
override int | GetHashCode ()
| Returns the hash code for the current LitS. More...

## Detailed Description

A wrapper around Schema that does "==" equality.

## Constructor & Destructor Documentation

## ◆ LitS()

Avro.IO.Parsing.ValidatingGrammarGenerator.LitS.LitS | ( | Schema | actual | ) |
| inline

Initializes a new instance of the LitS class.

## Member Function Documentation

## ◆ Equals()

override bool Avro.IO.Parsing.ValidatingGrammarGenerator.LitS.Equals | ( | object | o | ) |
| inline

Two LitS are equal if and only if their underlying schema is the same (not merely equal).

## ◆ GetHashCode()

override int Avro.IO.Parsing.ValidatingGrammarGenerator.LitS.GetHashCode | ( |  | ) |
| inline

Returns the hash code for the current LitS.

The documentation for this class was generated from the following file:

- src/apache/main/IO/Parsing/ValidatingGrammarGenerator.cs